Package csb :: Package bio :: Package nmr :: Class Label

[frames] | no frames]

# Class Label

source code

    object --+
             |
            Label

Utility class for working with chemical shift labels.

Instance Methods

__init__(self, residue, rank, atom_name) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

str

build(residue_type, position, atom_name) Build a new string label by specifying its components. | source code

str

from_atom(atom) Build a new string label from an Atom. | source code

str

from_shift(shift) Build a new string label from a ChemShiftInfo. | source code

Label

from_string(label) Parse the a string nucleus label and create a new Label. | source code

Atom

get_atom(chain, label) Get the Atom in a Chain, designated by a given string label. | source code

bool

match(shift, atom) Return True if the labels of a ChemShiftInfo and an Atom match. | source code

3-tuple

parse(label) Parse the components of a string nucleus label. | source code

Properties
| atom_name Nucleus name
| rank Residue rank (1-based)
| residue Residue type (a ProteinAlphabet member)
Inherited from `object`: `__class__`

Method Details

### __init__(self, residue, rank, atom_name)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `residue` (EnumItem) - residue type
  - `rank` (int) - residue position (1-based)
  - `atom_name` (str) - nucleus name
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### parse(label)
Static Method

source code

Parse the components of a string nucleus label.

Returns: 3-tuple
  (residue, rank, atom)

Property Details

### atom_name

Nucleus name

Get Method:
  unreachable.atom_name(self) - Nucleus name

### rank

Residue rank (1-based)

Get Method:
  unreachable.rank(self) - Residue rank (1-based)

### residue

Residue type (a ProteinAlphabet member)

Get Method:
  unreachable.residue(self) - Residue type (a ProteinAlphabet member)